Get a policy

GET/auth/v1/memberships/{orgId}/policies/{policyId}

Returns the details of a single authorization policy in the organization by its ID.

Authorization<token>

In: header

Path Parameters

orgId*string

Organization ID

policyId*string

Policy ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.Policy",
  "$ref-value": {
    "properties": {
      "created_at": {
        "type": "string"
      },
      "created_by": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "org_id": {
        "type": "string"
      },
      "permissions": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "updated_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/policies/string"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.Policy",
  "$ref-value": {
    "properties": {
      "created_at": {
        "type": "string"
      },
      "created_by": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "org_id": {
        "type": "string"
      },
      "permissions": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "updated_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}